Get Users

Retrieve all user profiles for the specified ICE MT product schema.

Usage Notes

SCIM Global User ID

  • The response body includes an 'id" attribute above the product schema which is the globalUserId for the given user profile. The globalUserId can be parsed and extracted for PATCH and DELETE user calls.
...{
    "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User",
        "urn:ietf:params:scim:schemas:extension:ice:2.0:EncompassInternalUser"
    ],
    "id": "a327ae1d-14d8-499a-a740-31d188ca65b1",
    "urn:ietf:params:scim:schemas:extension:ice:2.0:EncompassInternalUser":
    {...}
  • The API response only returns user profiles with a globalUserId.
  • To retrieve a list of all users from Encompass, please use the GET/ encompass/v3/users API.

Filters

Encompass Product Schema Filters

  • The enc_isRecursive filter will allow inclusion of subfolders to root folder (Administration). The users within those subfolders will be returned. The default is false and it returns just the root users.
    • Note: The startIndex changes when the subfolders are included.
  • The enc_orgId (currently defined as 'organization' in Encompass schema) will allow the ability to filter by organization/folder. When not provided, the API assume all orgIds. When provided, the API filters to a specific orgId. In order to include sub-folders, this parameter must be used with enc_isRecursive eq true.
  • The userName filter allows to filter the user list by the given userName. The userName filter cannot be used in conjunction with enc_orgId and enc_isRecursive as those filters work for use cases when retrieving a list of users.

DDA Product Schema Filters

  • The userName filter allows to filter the user list by the given userName.
  • The name.givenName filter allows to filter the user list by the given name.
  • The name.familyName filter allows to filter the user list by the given family name.
  • The name.middleName filter allows to filter the user list by the given middle name.
  • The emails.value filter allows to filter the user list by the email address.
  • The enabled filter allows to filter the user list by enabled users.
  • The roleName filter allows to filter the user list by role name.

Pagination

  • Request Parameters “startIndex” and “count” will allow you to specify which user record is the starting record, and how many user records to return. If you do not include these parameters, the first 10 user records will be returned.
  • Response
    • totalResults = The total number of Encompass user records in your instance.
    • itemsPerPage = Default is 10. Or, if “count” parameter is provided, is equal to the number of user records requested. Max is 100.
    • startIndex = Default is 1. Or, if “startIndex” parameter is provided, is equal to the starting user record you specified.
Query Params
string

Page (user record) start value. Default is 1. If you input a value greater than 1, the response will start with that user record, e.g. “2” will start with the second user record, “3” will start with the 3rd, and so on.

string

User record count that will be returned. Default is 10. Max is 100. If you input a value greater than 100, only 100 records are returned.

string

Filter query param is used to filter the results by the given attribute. ex. userName eq "jsmith".

Supported operators in filters: "eq", "and"

Supported Filters & Filter Combinations for Encompass Product Schema:

-"userName" - "string" example: filter=userName eq "jsmith"
-"enc_isRecursive" - "boolean" example: enc_isRecursive eq true
-"enc_orgId" "string" example: filter=enc_orgId eq 1
-"enc_isRecursive" and "enc_orgId" example: filter=enc_isRecursive eq true and enc_orgId eq 1
-"enc_orgId" and "enc_isRecursive" example: filter=enc_orgId eq 1 and enc_isRecursive eq true.

Supported Filters & Filter Combinations for DDA Product Schema (Fitlers can be used in any combination):

- "userName": - "string" example: userName eq "jsmith"
- "name.givenName" - "string" example: filter:name.givenName eq "John"
- "name.familyName" - "string" example: filter:name.familyName eq "Smith"
- "name.middleName" - "string" example: filter:name.middleName eq "Roger"
- "emails.value" - "string" example: filter:emails.value eq "[email protected]"
- "enabled" - "boolean" example: filter:enabled eq true
- "rolename" - "string" example: filter:rolename eq "underwriter"

string
required

The 'schema' query parameter is required, and one ICE MT product schema has to be provided per request. This parameter returns all the user profile for the provided schema. Supported schemas: - urn:ietf:params:scim:schemas:extension:enterprise:2.0:EncompassInternalUser - urn:ietf:params:scim:schemas:extension:ice:2.0:AIQUser.

string

Comma separated list of attributes which if passed should be returned in response as part of user details. Supported for Encompass product schema only. Supported values: personas, licenses. Example Usage - /scim2/v1/users/?schema=urn:ietf:params:scim:schemas:extension:ice:2.0:EncompassInternalUser&attributes=personas,licenses

Headers
string
required

Bearer token

Responses

Language
URL
Response
Choose an example:
application/json